Package org.drinkless.tdlib

# Class TdApi.GetSavedMessagesTopicHistory

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Messages>
org.drinkless.tdlib.TdApi.GetSavedMessagesTopicHistory

Enclosing class:
  `TdApi`

public static class TdApi.GetSavedMessagesTopicHistory extends TdApi.Function<TdApi.Messages>
Returns messages in a Saved Messages topic. The messages are returned in reverse chronological order (i.e., in order of decreasing messageId).

Returns `Messages`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `fromMessageId`
  Identifier of the message starting from which messages must be fetched; use 0 to get results from the last message.
  `int`
  `limit`
  The maximum number of messages to be returned; must be positive and can't be greater than 100.
  `int`
  `offset`
  Specify 0 to get results from exactly the message fromMessageId or a negative number from -99 to -1 to get additionally -offset newer messages.
  `long`
  `savedMessagesTopicId`
  Identifier of Saved Messages topic which messages will be fetched.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetSavedMessagesTopicHistory()`
  Default constructor for a function, which returns messages in a Saved Messages topic.
  `GetSavedMessagesTopicHistory(long savedMessagesTopicId, long fromMessageId, int offset, int limit)`
  Creates a function, which returns messages in a Saved Messages topic.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### savedMessagesTopicId

    public long savedMessagesTopicId
    Identifier of Saved Messages topic which messages will be fetched.

  - ### fromMessageId

    public long fromMessageId
    Identifier of the message starting from which messages must be fetched; use 0 to get results from the last message.

  - ### offset

    public int offset
    Specify 0 to get results from exactly the message fromMessageId or a negative number from -99 to -1 to get additionally -offset newer messages.

  - ### limit

    public int limit
    The maximum number of messages to be returned; must be positive and can't be greater than 100. If the offset is negative, then the limit must be greater than or equal to -offset. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetSavedMessagesTopicHistory

    public GetSavedMessagesTopicHistory()
    Default constructor for a function, which returns messages in a Saved Messages topic. The messages are returned in reverse chronological order (i.e., in order of decreasing messageId).

    Returns `Messages`

  - ### GetSavedMessagesTopicHistory

    public GetSavedMessagesTopicHistory(long savedMessagesTopicId, long fromMessageId, int offset, int limit)
    Creates a function, which returns messages in a Saved Messages topic. The messages are returned in reverse chronological order (i.e., in order of decreasing messageId).

    Returns `Messages`

    Parameters:
      `savedMessagesTopicId` - Identifier of Saved Messages topic which messages will be fetched.
      `fromMessageId` - Identifier of the message starting from which messages must be fetched; use 0 to get results from the last message.
      `offset` - Specify 0 to get results from exactly the message fromMessageId or a negative number from -99 to -1 to get additionally -offset newer messages.
      `limit` - The maximum number of messages to be returned; must be positive and can't be greater than 100. If the offset is negative, then the limit must be greater than or equal to -offset. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Messages>`
    Returns:
      this.CONSTRUCTOR